// Chattr - Twitter client on .NET
//
// Copyright (c) 2007 Katsuhiko Ichinose <ichi@users.sourceforge.jp>
//
// Chattr is Free Software released under GNU General Public License.
//
// $Id: IGetHttp.cs 3 2007-09-26 13:31:53Z ichi $

using System;
using System.Collections.Generic;
using System.Text;

using System.Net;

namespace Chattr
{
    class IGetHttp
    {
        string m_Url;
        HttpWebResponse m_Res;
        SystemException m_Ex = null;

        public IGetHttp(string url)
        {
            m_Url = url;
            m_Res = null;
            m_Ex = null;
        }

        public string Url
        {
            get
            {
                return m_Url;
            }
        }

        public HttpWebResponse Response
        {
            get
            {
                return m_Res;
            }
            set
            {
                m_Res = value;
            }
        }

        public SystemException Exception
        {
            get
            {
                return m_Ex;
            }
            set
            {
                m_Ex = value;
            }
        }
    }
}
